"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Matches = /** @class */ (function () {
    function Matches(propertyName, secondPropertyName) {
        this.propertyName = propertyName;
        this.secondPropertyName = secondPropertyName;
    }
    Matches.prototype.validate = function (data) {
        return data[this.propertyName] === data[this.secondPropertyName];
    };
    Matches.prototype.getErrorMessage = function () {
        return "The provided values doesn't match.";
    };
    return Matches;
}());
exports.default = Matches;
