"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Length = /** @class */ (function () {
    function Length(min, max) {
        this.min = min;
        this.max = max;
    }
    Length.prototype.validate = function (data) {
        if (typeof data == 'undefined') {
            return false;
        }
        return data.length > this.min && data.length < this.max;
    };
    Length.prototype.getErrorMessage = function () {
        return "Length must be between ".concat(this.min, " and ").concat(this.max);
    };
    return Length;
}());
exports.default = Length;
