"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Min = /** @class */ (function () {
    function Min(min) {
        this.min = min;
    }
    Min.prototype.validate = function (data) {
        if (typeof data == 'undefined') {
            return false;
        }
        return data.length > this.min;
    };
    Min.prototype.getErrorMessage = function () {
        return "Length must be at least ".concat(this.min, " characters");
    };
    return Min;
}());
exports.default = Min;
