"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Violations = /** @class */ (function () {
    function Violations(violations) {
        if (violations === void 0) { violations = []; }
        this.violations = violations;
    }
    Violations.prototype.addViolation = function (violation) {
        this.violations.push(violation);
    };
    Violations.prototype.get = function (propertyName) {
        return this.violations.filter(function (violation) { return violation.propertyName === propertyName; });
    };
    Violations.prototype.isEmpty = function () {
        return this.violations.length === 0;
    };
    return Violations;
}());
exports.default = Violations;
